## org.firebirdsql.gds.impl.jni
Class isc_tr_handle_impl

    java.lang.Object
      org.firebirdsql.gds.impl.AbstractIscTrHandle
          org.firebirdsql.gds.impl.jni.isc_tr_handle_impl

All Implemented Interfaces:
  IscTrHandle

    public final class isc_tr_handle_impl

extends AbstractIscTrHandle

Describe class `isc_tr_handle_impl` here.

Version:
  1.0
Author:
  Alejandro Alberola, David Jencks

Field Summary

Fields inherited from class org.firebirdsql.gds.impl.AbstractIscTrHandle
`NOTRANSACTION, TRANSACTIONCOMMITTING, TRANSACTIONPREPARED, TRANSACTIONPREPARING, TRANSACTIONROLLINGBACK, TRANSACTIONSTARTED, TRANSACTIONSTARTING`

Constructor Summary
`isc_tr_handle_impl()`

Method Summary
`void` `addWarning(GDSException warning)`
`void` `forgetResultSets()` Clear all the saved result sets from this handle.
`IscDbHandle` `getDbHandle()` Retrieve a handle to the database to which this transaction is linked.
`int` `getState()` Get the current state of the transaction to which this handle is pointing.
`void` `registerStatementWithTransaction(AbstractIscStmtHandle stmt)` Register a statement within the transaction to which this handle points.
`void` `unregisterStatementFromTransaction(AbstractIscStmtHandle stmt)` Unregister a statement from the transaction in which it was registered.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### isc_tr_handle_impl

    public isc_tr_handle_impl()

Method Detail

### addWarning

    public void addWarning(GDSException warning)

### getDbHandle

    public IscDbHandle getDbHandle()

  Description copied from interface: `IscTrHandle`
  Retrieve a handle to the database to which this transaction is linked.

  Returns:
    Handle to the database

### getState

    public int getState()

  Description copied from class: `AbstractIscTrHandle`
  Get the current state of the transaction to which this handle is pointing. The state is equal to one of the `TRANSACTION*` constants of this interface, or the `NOTRANSACTION` constant, also of this interface.

  Specified by:
    `getState` in class `AbstractIscTrHandle`
  Returns:
    The corresponding value for the current state

### registerStatementWithTransaction

    public void registerStatementWithTransaction(AbstractIscStmtHandle stmt)

  Description copied from class: `AbstractIscTrHandle`
  Register a statement within the transaction to which this handle points. This method allows automated cleanup of the rows fetched within a transaction on commit or rollback point.

  Specified by:
    `registerStatementWithTransaction` in class `AbstractIscTrHandle`
  Parameters:
    `stmt` - Handle to the statement to be registered.

### unregisterStatementFromTransaction

    public void unregisterStatementFromTransaction(AbstractIscStmtHandle stmt)

  Description copied from class: `AbstractIscTrHandle`
  Unregister a statement from the transaction in which it was registered.

  Specified by:
    `unregisterStatementFromTransaction` in class `AbstractIscTrHandle`
  Parameters:
    `stmt` - Handle to the statement to be unregistered.

### forgetResultSets

    public void forgetResultSets()

  Description copied from class: `AbstractIscTrHandle`
  Clear all the saved result sets from this handle.

  Specified by:
    `forgetResultSets` in class `AbstractIscTrHandle`

Copyright © 2001-2010. All Rights Reserved.